<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CharacterSection (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CharacterSection (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CharacterSection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../../org/apache/poi/xdgf/usermodel/section/CombinedIterable.html"
               title="class in org.apache.poi.xdgf.usermodel.section"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xdgf/usermodel/section/CharacterSection.html"
               target="_top">Frames</a></li>
        <li><a href="CharacterSection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xdgf.usermodel.section.XDGFSection">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xdgf.usermodel.section</div>
    <h2 title="Class CharacterSection" class="title">Class CharacterSection</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html"
                       title="class in org.apache.poi.xdgf.usermodel.section">org.apache.poi.xdgf.usermodel.section.XDGFSection</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xdgf.usermodel.section.CharacterSection</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">CharacterSection</span>
extends <a href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html"
           title="class in org.apache.poi.xdgf.usermodel.section">XDGFSection</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xdgf.usermodel.section.XDGFSection">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xdgf.usermodel.section.<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">XDGFSection</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html#Z:Z_cells">_cells</a>,
                                    <a href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html#Z:Z_containingSheet">_containingSheet</a>,
                                    <a href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html#Z:Z_section">_section</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/section/CharacterSection.html#CharacterSection-com.microsoft.schemas.office.visio.x2012.main.SectionType-org.apache.poi.xdgf.usermodel.XDGFSheet-">CharacterSection</a></span>(com.microsoft.schemas.office.visio.x2012.main.SectionType&nbsp;section,
                                    <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                       title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a>&nbsp;containingSheet)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.awt.Color</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/section/CharacterSection.html#getFontColor--">getFontColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/section/CharacterSection.html#getFontSize--">getFontSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/section/CharacterSection.html#setupMaster-org.apache.poi.xdgf.usermodel.section.XDGFSection-">setupMaster</a></span>(<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">XDGFSection</a>&nbsp;section)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xdgf.usermodel.section.XDGFSection">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xdgf.usermodel.section.<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">XDGFSection</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html#getXmlObject--">getXmlObject</a>,
                                    <a href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html#load-com.microsoft.schemas.office.visio.x2012.main.SectionType-org.apache.poi.xdgf.usermodel.XDGFSheet-">load</a>,
                                    <a href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CharacterSection-com.microsoft.schemas.office.visio.x2012.main.SectionType-org.apache.poi.xdgf.usermodel.XDGFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CharacterSection</h4>
                                <pre>public&nbsp;CharacterSection(com.microsoft.schemas.office.visio.x2012.main.SectionType&nbsp;section,
                        <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                           title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a>&nbsp;containingSheet)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFontSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontSize</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getFontSize()</pre>
                            </li>
                        </ul>
                        <a name="getFontColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontColor</h4>
                                <pre>public&nbsp;java.awt.Color&nbsp;getFontColor()</pre>
                            </li>
                        </ul>
                        <a name="setupMaster-org.apache.poi.xdgf.usermodel.section.XDGFSection-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setupMaster</h4>
                                <pre>public&nbsp;void&nbsp;setupMaster(<a
                                        href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">XDGFSection</a>&nbsp;section)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html#setupMaster-org.apache.poi.xdgf.usermodel.section.XDGFSection-">setupMaster</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/xdgf/usermodel/section/XDGFSection.html"
                                                title="class in org.apache.poi.xdgf.usermodel.section">XDGFSection</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CharacterSection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../../org/apache/poi/xdgf/usermodel/section/CombinedIterable.html"
               title="class in org.apache.poi.xdgf.usermodel.section"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xdgf/usermodel/section/CharacterSection.html"
               target="_top">Frames</a></li>
        <li><a href="CharacterSection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xdgf.usermodel.section.XDGFSection">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
